%define base_name pclinuxos
%define name gdm-theme-%{base_name}
%define version 2.0.0
%define release %mkrel 4

Summary:	Theme for Gnome Display Manager
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source: 	%{name}-%{version}.tar.xz
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://pclinuxos.com/
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	gdm

%description
The default GDM theme for PCLinuxOS 2014 MATE and LXDE ISOs.

%prep 
%setup -q

%build 
#nobuild

%install
rm -rf %buildroot

install -d -m 755 %buildroot%{_datadir}/gdm/themes/%{base_name}
cp -fr * %buildroot%{_datadir}/gdm/themes/%{base_name}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{_datadir}/gdm/themes/%{base_name}

%posttrans
# MATE
perl -pi -e "s|GraphicalTheme=Avio-GDM|GraphicalTheme=pclinuxos|" /usr/share/gdm/defaults.conf
perl -pi -e "s|GraphicalTheme=Avio-GDM|GraphicalTheme=pclinuxos|" /usr/share/gdm/factory-defaults.conf
perl -pi -e "s|/usr/share/gdm/themes/Avio-GDM/background.jpg|/usr/share/gdm/themes/pclinuxos/background.jpg|" /usr/share/gdm/defaults.conf
perl -pi -e "s|/usr/share/gdm/themes/Avio-GDM/background.jpg|/usr/share/gdm/themes/pclinuxos/background.jpg|" /usr/share/gdm/factory-defaults.conf

#LXDE
#perl -pi -e "s|GraphicalTheme=Avio-GDM|GraphicalTheme=pclinuxos|" /etc/X11/gdm/custom.conf
#perl -pi -e "s|GraphicalTheme=lxde64|GraphicalTheme=pclinuxos|" /etc/X11/gdm/custom.conf
#perl -pi -e "s|GraphicalTheme=PCLXDE-GDM|GraphicalTheme=pclinuxos|" /etc/X11/gdm/custom.conf
#perl -pi -e "s|GraphicalThemes=LXDE|GraphicalThemes=pclinuxos|" /etc/X11/gdm/custom.conf
rm -f /etc/X11/gdm/custom.conf > /dev/null 2>&1
touch /etc/X11/gdm/custom.conf > /dev/null 2>&1


%changelog
* Tue Jun 17 2014 bb <bb> 2.0.0-4pclos2014
- user smaller jpg for background

* Sun Jun 15 2014 bb <bb> 2.0.0-3pclos2014
- fix lxde gdm graphics

* Sun Jun 15 2014 bb <bb> 2.0.0-2pclos2014
- update for LXDE

* Fri Jun 13 2014 bb <bb> 2.0.0-1pclos2014
- update
